<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2011 Sven Burkert (bedienung@sbtheke.de)
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*  A copy is found in the textfile GPL.txt and important notices to the license
*  from the author is found in LICENSE.txt distributed with these scripts.
*
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

/**
 * Class 'tx_ttnewsajaxpagebrowser_ttnews' for the ttnews_ajaxpagebrowser extension.
 *
 * @author	Sven Burkert <bedienung@sbtheke.de>
 * @package	TYPO3
 * @subpackage	tx_ttnewsajaxpagebrowser
 */

class tx_ttnewsajaxpagebrowser_ttnews {

	/**
	 * This method is called by a hook in tt_news
	 *
	 * @param	object		$pObj: Reference to the parent object (tx_ttnews)
	 * @param	array		$markerArray: current marker array
	 * @return	array		new marker array
	 * @access public
	 */
	public function extraGlobalMarkerProcessor(&$pObj, $markerArray) {
		// uid marker
		$markerArray['###COBJ_UID###'] = $pObj->cObj->data['uid'];
		return $markerArray;
	}
}

if(defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/ttnews_ajaxpagebrowser/lib/class.tx_ttnewsajaxpagebrowser_ttnews.php']) {
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/ttnews_ajaxpagebrowser/lib/class.tx_ttnewsajaxpagebrowser_ttnews.php']);
}
?>